<!DOCTYPE html> 

<html lang="pt-br">

	<head>
	
		<meta charset="utf-8">
	
		<title>JavaScript</title>

	</head>

	<body>
	
<!-- EX8 - Dados três valores X, Y, Z, 
verifique se eles podem ser os comprimentos dos lados de um triângulo e, 
se forem, verifique se é um triângulo eqüilátero, isósceles ou escaleno. 
Se eles não formarem um triângulo, escreva uma mensagem. Considere que:

a.	O comprimento de cada lado de um triângulo é menor que a soma dos outros dois lados
b.	Chama‐se equilátero o triângulo que tem três lados iguais
c.	Denomina‐se isósceles o triângulo que tem o comprimento de dois lados iguais
d.	Recebe o nome de escaleno o triângulo que tem os três lados diferentes.
e.	Nenhum dos lados pode ter comprimento zero. --> 
	
	

	<script>
		
		function resultado(){

		/* pegando os valores */
		var valorx = document.getElementById('x') ; 
		var valory = document.getElementById('y') ; 
		var valorz = document.getElementById('z') ;
		var resp = document.getElementById('resposta');
		var resp1 = document.getElementById('resposta1'); 
		
		/* convertendo */
		var ladox = parseInt(valorx.value);	
		var ladoy = parseInt(valory.value);	
		var ladoz = parseInt(valorz.value);
		
		if (ladox <= (ladoy+ladoz) && ladoy <= (ladox+ladoz) && ladoz <= (ladox+ladoy)){
		
			if ( ladox == ladoy && ladoy == ladoz){
				
				resp.innerHTML = 'É um Triangulo EQUILATERO';
				
			}else if (ladox == ladoy || ladox == ladoz || ladoz == ladoy){
			
				resp.innerHTML = 'É um Triangulo ISÓSCELES';
				
			}else{
			
				resp.innerHTML = 'É um Triangulo ESCALENO';
			
			}
		
		}else{

			resp.innerHTML = 'Não é um TRIANGULO' + '<br/>' + '<br/>';
								
			resp1.innerHTML =	'a.	O comprimento de cada lado de um triângulo é menor que a soma dos outros dois lados.' + '<br/>' +
								'b.	Chama‐se equilátero o triângulo que tem três lados iguais.' + '<br/>' +
								'c.	Denomina‐se isósceles o triângulo que tem o comprimento de dois lados iguais.' + '<br/>' +
								'd.	Recebe o nome de escaleno o triângulo que tem os três lados diferentes.' + '<br/>' +
								'e.	Nenhum dos lados pode ter comprimento zero.';					

		}		

		
		
}
		

	</script>
	
	<a>SABER SE É UM TRIANGULO EQUILATERO, ISÓSCELES OU ESCALENO </a><br/><br/>
	
	<label for="x">Entre com lado X:</label>
	<input style="width : 50px; text-align:center;" type="text" id="x"/>
	
	<label for="y">Entre com lado Y:</label>
	<input style="width : 50px; text-align:center;" type="text" id="y"/>
	
	<label for="z">Entre com lado Z:</label>
	<input style="width : 50px; text-align:center;" type="text" id="z"/>

	<input style="color:red"  type="button" value="Resultado" onclick="resultado();"/> <br/><br/>
	
	<span style="color:red" id="resposta" ></span>
	
	<span style="color:blue" id="resposta1" ></span>

	</body>

</html>